Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.container.grizzly
Class GrizzlyServerFactory

    java.lang.Object
      com.sun.jersey.api.container.grizzly.GrizzlyServerFactory

    public final class GrizzlyServerFactory

extends java.lang.Object

Factory for creating and starting Grizzly `SelectorThread` instances.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`static com.sun.grizzly.http.SelectorThread` | `create(java.lang.String u)` Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes found by searching the classes referenced in the java classath.
`static com.sun.grizzly.http.SelectorThread` | `create(java.lang.String u, com.sun.grizzly.tcp.Adapter adapter)` Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes found by searching the classes referenced in the java classath.
`static com.sun.grizzly.http.SelectorThread` | `create(java.lang.String u, ResourceConfig rc)` Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes declared by the resource configuration.
`static com.sun.grizzly.http.SelectorThread` | `create(java.lang.String u, ResourceConfig rc, IoCComponentProviderFactory factory)` Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes declared by the resource configuration.
`static com.sun.grizzly.http.SelectorThread` | `create(java.net.URI u)` Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes found by searching the classes referenced in the java classath.
`static com.sun.grizzly.http.SelectorThread` | `create(java.net.URI u, com.sun.grizzly.tcp.Adapter adapter)` Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes found by searching the classes referenced in the java classath.
`static com.sun.grizzly.http.SelectorThread` | `create(java.net.URI u, ResourceConfig rc)` Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes declared by the resource configuration.
`static com.sun.grizzly.http.SelectorThread` | `create(java.net.URI u, ResourceConfig rc, IoCComponentProviderFactory factory)` Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes declared by the resource configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static com.sun.grizzly.http.SelectorThread create(java.lang.String u)
                                                      throws java.io.IOException,
                                                             java.lang.IllegalArgumentException

  Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes found by searching the classes referenced in the java classath.

  This implementation defers to the `ContainerFactory.createContainer(Class)` method for creating an Adapter that manages the root resources.

  Parameters:
    `u` - the URI to create the http server. The URI scheme must be equal to "http". The URI user information and host are ignored If the URI port is not present then port 80 will be used. The URI path, query and fragment components are ignored.
  Returns:
    the select thread, with the endpoint started
  Throws:
    `java.io.IOException` - if an error occurs creating the container.
    `java.lang.IllegalArgumentException` - if `u` is null

### create

    public static com.sun.grizzly.http.SelectorThread create(java.net.URI u)
                                                      throws java.io.IOException,
                                                             java.lang.IllegalArgumentException

  Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes found by searching the classes referenced in the java classath.

  This implementation defers to the `ContainerFactory.createContainer(Class)` method for creating an Adapter that manages the root resources.

  Parameters:
    `u` - the URI to create the http server. The URI scheme must be equal to "http". The URI user information and host are ignored If the URI port is not present then port 80 will be used. The URI path, query and fragment components are ignored.
  Returns:
    the select thread, with the endpoint started
  Throws:
    `java.io.IOException` - if an error occurs creating the container.
    `java.lang.IllegalArgumentException` - if `u` is null

### create

    public static com.sun.grizzly.http.SelectorThread create(java.lang.String u,
                                                             ResourceConfig rc)
                                                      throws java.io.IOException,
                                                             java.lang.IllegalArgumentException

  Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes declared by the resource configuration.

  This implementation defers to the `ContainerFactory.createContainer(Class, ResourceConfig)` method for creating an Adapter that manages the root resources.

  Parameters:
    `u` - the URI to create the http server. The URI scheme must be equal to "http". The URI user information and host are ignored If the URI port is not present then port 80 will be used. The URI path, query and fragment components are ignored.
    `rc` - the resource configuration.
  Returns:
    the select thread, with the endpoint started
  Throws:
    `java.io.IOException` - if an error occurs creating the container.
    `java.lang.IllegalArgumentException` - if `u` is null

### create

    public static com.sun.grizzly.http.SelectorThread create(java.net.URI u,
                                                             ResourceConfig rc)
                                                      throws java.io.IOException,
                                                             java.lang.IllegalArgumentException

  Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes declared by the resource configuration.

  This implementation defers to the `ContainerFactory.createContainer(Class, ResourceConfig)` method for creating an Adapter that manages the root resources.

  Parameters:
    `u` - the URI to create the http server. The URI scheme must be equal to "http". The URI user information and host are ignored If the URI port is not present then port 80 will be used. The URI path, query and fragment components are ignored.
    `rc` - the resource configuration.
  Returns:
    the select thread, with the endpoint started
  Throws:
    `java.io.IOException` - if an error occurs creating the container.
    `java.lang.IllegalArgumentException` - if `u` is null

### create

    public static com.sun.grizzly.http.SelectorThread create(java.lang.String u,
                                                             ResourceConfig rc,
                                                             IoCComponentProviderFactory factory)
                                                      throws java.io.IOException,
                                                             java.lang.IllegalArgumentException

  Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes declared by the resource configuration.

  This implementation defers to the `ContainerFactory.createContainer(Class, ResourceConfig, IoCComponentProviderFactory)` method for creating an Adapter that manages the root resources.

  Parameters:
    `u` - the URI to create the http server. The URI scheme must be equal to "http". The URI user information and host are ignored If the URI port is not present then port 80 will be used. The URI path, query and fragment components are ignored.
    `rc` - the resource configuration.
    `factory` - the IoC component provider factory the web application delegates to for obtaining instances of resource and provider classes. May be null if the web application is responsible for instantiating resource and provider classes.
  Returns:
    the select thread, with the endpoint started
  Throws:
    `java.io.IOException` - if an error occurs creating the container.
    `java.lang.IllegalArgumentException` - if `u` is null

### create

    public static com.sun.grizzly.http.SelectorThread create(java.net.URI u,
                                                             ResourceConfig rc,
                                                             IoCComponentProviderFactory factory)
                                                      throws java.io.IOException,
                                                             java.lang.IllegalArgumentException

  Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes declared by the resource configuration.

  This implementation defers to the `ContainerFactory.createContainer(Class, ResourceConfig, IoCComponentProviderFactory)` method for creating an Adapter that manages the root resources.

  Parameters:
    `u` - the URI to create the http server. The URI scheme must be equal to "http". The URI user information and host are ignored If the URI port is not present then port 80 will be used. The URI path, query and fragment components are ignored.
    `rc` - the resource configuration.
    `factory` - the IoC component provider factory the web application delegates to for obtaining instances of resource and provider classes. May be null if the web application is responsible for instantiating resource and provider classes.
  Returns:
    the select thread, with the endpoint started
  Throws:
    `java.io.IOException` - if an error occurs creating the container.
    `java.lang.IllegalArgumentException` - if `u` is null

### create

    public static com.sun.grizzly.http.SelectorThread create(java.lang.String u,
                                                             com.sun.grizzly.tcp.Adapter adapter)
                                                      throws java.io.IOException,
                                                             java.lang.IllegalArgumentException

  Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes found by searching the classes referenced in the java classath.

  Parameters:
    `u` - the URI to create the http server. The URI scheme must be equal to "http". The URI user information and host are ignored If the URI port is not present then port 80 will be used. The URI path, query and fragment components are ignored.
    `adapter` - the Adapter
  Returns:
    the select thread, with the endpoint started
  Throws:
    `java.io.IOException` - if an error occurs creating the container.
    `java.lang.IllegalArgumentException` - if `u` is null

### create

    public static com.sun.grizzly.http.SelectorThread create(java.net.URI u,
                                                             com.sun.grizzly.tcp.Adapter adapter)
                                                      throws java.io.IOException,
                                                             java.lang.IllegalArgumentException

  Create a `SelectorThread` that registers an `Adapter` that in turn manages all root resource and provder classes found by searching the classes referenced in the java classath.

  Parameters:
    `u` - the URI to create the http server. The URI scheme must be equal to "http". The URI user information and host are ignored If the URI port is not present then port 80 will be used. The URI path, query and fragment components are ignored.
    `adapter` - the Adapter
  Returns:
    the select thread, with the endpoint started
  Throws:
    `java.io.IOException` - if an error occurs creating the container.
    `java.lang.IllegalArgumentException` - if `u` is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.